﻿* Encoding: UTF-8.
* Encoding: .

*Figure 4.1.
FREQUENCIES VARIABLES=Block_Number
  /ORDER=ANALYSIS.

*Figure 4.2.
FREQUENCIES VARIABLES=Floor_4grps Orientation_4grps
  /ORDER=ANALYSIS.

*Figure 4.3.
FREQUENCIES VARIABLES=Gender_Q1.1
  /ORDER=ANALYSIS.

CROSSTABS
  /TABLES= Orientation_4grps BY Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.4.
CROSSTABS
  /TABLES= Age_bands_6grps BY Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.5.
* Chart Builder. 
GGRAPH 
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Age_Q1.2[name="Age_Q1_2"]  
    Gender_Q1.1[name="Gender_Q1_1"] MISSING=LISTWISE REPORTMISSING=NO 
  /GRAPHSPEC SOURCE=INLINE. 
BEGIN GPL 
  SOURCE: s=userSource(id("graphdataset")) 
  DATA: Age_Q1_2=col(source(s), name("Age_Q1_2")) 
  DATA: Gender_Q1_1=col(source(s), name("Gender_Q1_1"), unit.category()) 
  GUIDE: axis(dim(1), label("Age")) 
  GUIDE: axis(dim(2), label("Frequency")) 
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Gender")) 
  GUIDE: text.title(label("Stacked Bar of Age by Gender")) 
  SCALE: cat(aesthetic(aesthetic.color.interior), include("0.00", "1.00")) 
  ELEMENT: interval.stack(position(summary.count(bin.rect(Age_Q1_2))), color.interior(Gender_Q1_1),  
    shape.interior(shape.square)) 
END GPL.  

*Figure 4.6.
FREQUENCIES VARIABLES=Occupation_Q1.3
  /ORDER=ANALYSIS.

*Figure 4.7.
CROSSTABS
  /TABLES= Occupation_Q1.3 BY Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.8.
FREQUENCIES VARIABLES=Income_4grps
  /ORDER=ANALYSIS.

*Figure 4.9.
FREQUENCIES VARIABLES=education_4grps
  /ORDER=ANALYSIS.

*Figure 4.10.
FREQUENCIES VARIABLES=Ethnicity_2grps
  /ORDER=ANALYSIS.

*Figure 4.11.
FREQUENCIES VARIABLES=Tenure_type_Q3 Residency_3grps Household_occupation_Q1.3 Health_4grps
    Electricity_meter_reading_Q4_rec Awareness_in_energy_saving_Q6_rec
  /ORDER=ANALYSIS.

*Table 4.1.
*Floor by orientation in crosstabs.
CROSSTABS
  /TABLES=Floor_4grps BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*One way ANOVA to compare block number by orientation and floor. 
UNIANOVA Block_Number BY Orientation_4grps
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=Orientation_4grps(TUKEY GH) 
  /PRINT ETASQ DESCRIPTIVE HOMOGENEITY OPOWER
  /CRITERIA=ALPHA(.05)
  /DESIGN=Orientation_4grps.


UNIANOVA Block_Number BY Floor_4grps
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=Floor_4grps(TUKEY GH) 
  /PRINT ETASQ DESCRIPTIVE HOMOGENEITY OPOWER
  /CRITERIA=ALPHA(.05)
  /DESIGN=Floor_4grps.

*Table 4.2.
CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps Occupation_4grps Income_4grps BY Health_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps Occupation_4grps BY Income_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps BY Occupation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 BY education_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Age_bands_6grps BY Occupation_Q1.3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*Table 4.3.
CROSSTABS
  /TABLES=Age_bands_6grps Tenure_type_Q3 BY Residency_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Age_bands_6grps BY Tenure_type_Q3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*Table 4.4..
CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec  Income_4grps  Energy_consumption_Q5 BY Electricity_meter_reading_Q4_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec  Income_4grps  BY Energy_consumption_Q5
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec BY Income_4grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=  Energy_advise_Q7 BY Awareness_in_energy_saving_Q6_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.12.
CROSSTABS
  /TABLES= Feeling_preference_rec_4grps BY Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.13.
CROSSTABS
  /TABLES= Feeling_preference_rec_4grps BY Age_bands_6grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.14.
CROSSTABS
  /TABLES= Feeling_preference_rec_4grps BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.15.
CROSSTABS
  /TABLES= Feeling_preference_rec_4grps BY Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.16.
FREQUENCIES VARIABLES=Household_density_4grps Energy_consumption_Q5
  /ORDER=ANALYSIS.

*Figure 4.17.
CROSSTABS
  /TABLES=E2015_WINTER_OVERALL_4grps E2015_SUMMER_OVERALL_6grps BY Age_bands_6grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.18.
CROSSTABS
  /TABLES=E2015_WINTER_OVERALL_4grps E2015_SUMMER_OVERALL_6grps BY Income_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.19.
*Reasons by gender.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps BY  Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Reasons by age.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps BY Age_bands_6grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 4.20.
CROSSTABS
  /TABLES=Feeling_preference_rec_4grps BY Tenure_type_Q3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Feeling_preference_rec_4grps BY Residency_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.1.
FREQUENCIES VARIABLES=Type_of_heating_system_4grps
  /ORDER=ANALYSIS.

*Figure 5.2.
FREQUENCIES VARIABLES=Heating_control_Q15
  /ORDER=ANALYSIS.

*Figure 5.3.
FREQUENCIES VARIABLES=Type_of_cooling_system_4grps
  /ORDER=ANALYSIS.

*Figure 5.4.
FREQUENCIES VARIABLES=Cooling_control_4grps
  /ORDER=ANALYSIS.

*Figure 5.5.
FREQUENCIES VARIABLES=Heating_patterns_weekdays_3grps Heating_patterns_weekends_3grps
  /ORDER=ANALYSIS.

*Figure 5.6.
FREQUENCIES VARIABLES=Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13
  /ORDER=ANALYSIS.

*Figure 5.7.
FREQUENCIES VARIABLES=Windows_opening_patterns_Winter_3grps Windows_opening_patterns_Summer_3grps
  /ORDER=ANALYSIS.

*Figure 5.8.
FREQUENCIES VARIABLES=Summertime_doors_opening_preference_Q19_rec Wintertime_doors_opening_preference_Q24_rec
  /ORDER=ANALYSIS.

*Figure 5.9.
FREQUENCIES VARIABLES=Windows_opening_reason_2grps
  /ORDER=ANALYSIS.

*Figure 5.10.
FREQUENCIES VARIABLES=Windows_closing_reason_5grps
  /ORDER=ANALYSIS.

*Table 5.1.
CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13  Heating_patterns_weekdays_3grps BY Heating_patterns_weekends_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13 BY  Heating_patterns_weekdays_3grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps BY Cooling_patterns_weekends_Q13 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=  Occupation_4grps BY Cooling_patterns_weekdays_3grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*Table 5.2.
*Relationships between occupation, open window in winter, open window in summer, and heating control.
CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Windows_opening_patterns_Summer_3grps Heating_control_5grps BY Summertime_doors_opening_preference_Q19_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Heating_control_5grps BY Windows_opening_patterns_Summer_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES= Occupation_4grps Heating_control_5grps BY Windows_opening_patterns_Winter_4grps 
  /FORMAT=AVALUE TABLES
  /STATISTICTAS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES= Occupation_4grps BY Heating_control_5grps
  /FORMAT=AVALUE TABLES
  /STATISTICTAS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Windows_opening_patterns_Summer_3grps Summertime_doors_opening_preference_Q19_rec Heating_control_5grps BY
  Wintertime_doors_opening_preference_Q24_rec Windows_opening_reason_2grps Windows_closing_reason_5grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*Figure 5.11. (Should be table now).
CROSSTABS
  /TABLES= Heating_patterns_weekdays_3grps  Heating_patterns_weekends_3grps BY Occupation_Q1.3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.12. (Should be table now).
CROSSTABS
  /TABLES= Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13 BY Occupation_Q1.3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.13. (Should be table now).
CROSSTABS
  /TABLES= Windows_opening_patterns_Winter_3grps Windows_opening_patterns_Summer_3grps BY Occupation_Q1.3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.14.
CROSSTABS
  /TABLES= Heating_patterns_weekdays_3grps Heating_patterns_weekends_3grps BY Household_density_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.15.
CROSSTABS
  /TABLES= Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13 BY Household_density_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 5.16.
CROSSTABS
  /TABLES= Type_of_cooling_system_4grps Type_of_heating_system_4grps BY Income_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Table 6.1.
FREQUENCIES VARIABLES=In_TA In_RH Out_TA Out_RH Out_Heat_Index
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

*Table 6.2.
FREQUENCIES VARIABLES=In_Temperature In_WET_rec In_DEW
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM SEMEAN MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.

*Figure 6.4.
EXAMINE VARIABLES=In_TA Out_TA In_RH Out_RH
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 6.6.
CROSSTABS
  /TABLES=Summer_temperature_satisfaction_Q33_rec by Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 6.7.
FREQUENCIES VARIABLES=Summer_thermal_sensation_bedroom1_Q22_rec  Summer_thermal_sensation_livingroom_Q22_rec
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Summer_thermal_sensation_bedroom2_Q22_rec Summer_thermal_sensation_bedroom3_Q22_rec
  /ORDER=ANALYSIS.

*Table 6.3.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps  Age_bands_6grps  Orientation_4grps BY Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps  Age_bands_6grps BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps BY Age_bands_6grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

*Table 6.4.
CROSSTABS
  /TABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec Orientation_4grps BY  Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.
CROSSTABS
  /TABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL.

CORRELATIONS
  /VARIABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec 
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

*Figure 6.9. 
PLUM Summer_thermal_sensation_livingroom_Q22_rec WITH In_TA
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.

DATASET ACTIVATE DataSet1.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_livingroom_Q22_rec 
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_livingroom_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_livingroom_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in livingroom (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in livingroom (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_livingroom_Q22_rec))
END GPL.


*Figure 6.10. 
PLUM  Summer_thermal_sensation_bedroom1_Q22_rec WITH In_TA
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom1_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom1_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom1_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom1 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom1 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom1_Q22_rec))
END GPL.

*Figure 6.11. 
PLUM Summer_thermal_sensation_bedroom2_Q22_rec WITH In_TA
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom2_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom2_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom2_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom2 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom2 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom2_Q22_rec))
END GPL.

*Figure 6.12. 
PLUM Summer_thermal_sensation_bedroom3_Q22_rec WITH In_TA
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.

GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom3_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom3_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom3_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom3 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom3 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom3_Q22_rec))
END GPL.

*Figure 6.13. 
PLUM Summer_temperature_satisfaction_Q33_rec WITH In_RH
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.

GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_temperature_satisfaction_Q33_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_temperature_satisfaction_Q33_rec=col(source(s), 
    name("Summer_temperature_satisfaction_Q33_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
GUIDE: axis(dim(2), label("Summer temperature satisfaction (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Summer temperature satisfaction (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_temperature_satisfaction_Q33_rec))
END GPL.

* Encoding: UTF-8.
* Table 6.5a

NOMREG Space_conditioning (BASE=FIRST ORDER=ASCENDING) BY Feeling_preference_rec_4grps 
    Type_of_cooling_system_4grps WITH In_TA Out_TA Winter_temperature_satisfaction_Q34_rec
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0) PCONVERGE(0.000001) 
    SINGULAR(0.00000001)
  /MODEL
  /STEPWISE=PIN(.05) POUT(0.1) MINEFFECT(0) RULE(SINGLE) ENTRYMETHOD(LR) REMOVALMETHOD(LR)
  /INTERCEPT=INCLUDE
  /PRINT=PARAMETER SUMMARY LRT CPS STEP MFI.


* Table 6.5b.
PLUM Residency_3grps BY Feeling_preference_rec_4grps 
    Type_of_cooling_system_4grps WITH In_TA Out_TA Winter_temperature_satisfaction_Q34_rec
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY.



*Figure 6.15. 
FREQUENCIES VARIABLES=Summertime_doors_opening_preference_Q19_rec  Location_of_respondent
  /ORDER=ANALYSIS.

*Figure 6.16.
CROSSTABS
  /TABLES=Location_of_respondent by Gender_Q1.1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 6.17a.
CROSSTABS
  /TABLES= Interviewed_room_condition_5grps by Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 6.17b.
CROSSTABS
  /TABLES=Interviewed_room_condition_5grps by Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 6.18a.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Out_TA Space_conditioning MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Out_TA=col(source(s), name("Out_TA"))
  DATA: Space_conditioning=col(source(s), name("Space_conditioning"), unit.category())
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Outdoor air temperature (°C)"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Space conditioning"))
  GUIDE: text.title(label("Scatter Plot of Outdoor air temperature (°C) by Opreative air ",
    "temperature (°C) by Space conditioning"))
  SCALE: cat(aesthetic(aesthetic.color.interior), include("1.00", "2.00", "3.00", "4.00", "5.00"))
  ELEMENT: point(position(In_TA*Out_TA), color.interior(Space_conditioning))
END GPL.


*Figure 6.18b.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_RH Out_RH Space_conditioning MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_RH=col(source(s), name("In_RH"))
  DATA: Out_RH=col(source(s), name("Out_RH"))
  DATA: Space_conditioning=col(source(s), name("Space_conditioning"), unit.category())
  GUIDE: axis(dim(1), label("Indoor relative humidity (%)"))
  GUIDE: axis(dim(2), label("Outdoor relative humidity (%)"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Space conditioning"))
  GUIDE: text.title(label("Scatter Plot of Outdoor relative humidity (%) by Indoor relative ",
    "humidity (%) by Space conditioning"))
  SCALE: cat(aesthetic(aesthetic.color.interior), include("1.00", "2.00", "3.00", "4.00", "5.00"))
  ELEMENT: point(position(In_RH*Out_RH), color.interior(Space_conditioning))
END GPL.



*Figure 6.18c.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Out_Heat_Index In_Temperature Space_conditioning 
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: Out_Heat_Index=col(source(s), name("Out_Heat_Index"))
  DATA: In_Temperature=col(source(s), name("In_Temperature"))
  DATA: Space_conditioning=col(source(s), name("Space_conditioning"), unit.category())
  GUIDE: axis(dim(1), label("Outdoor heat stress index (°C)"))
  GUIDE: axis(dim(2), label("Solar radiation (°C)"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Space conditioning"))
  GUIDE: text.title(label("Scatter Plot of Solar radiation (°C) by Outdoor heat stress index ",
    "(°C) by Space conditioning"))
  SCALE: cat(aesthetic(aesthetic.color.interior), include("1.00", "2.00", "3.00", "4.00", "5.00"))
  ELEMENT: point(position(Out_Heat_Index*In_Temperature), color.interior(Space_conditioning))
END GPL.

*Figure 6.18d.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA In_RH Space_conditioning MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: In_RH=col(source(s), name("In_RH"))
  DATA: Space_conditioning=col(source(s), name("Space_conditioning"), unit.category())
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Indoor relative humidity (%)"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Space conditioning"))
  GUIDE: text.title(label("Scatter Plot of Indoor relative humidity (%) by Opreative air ",
    "temperature (°C) by Space conditioning"))
  SCALE: cat(aesthetic(aesthetic.color.interior), include("1.00", "2.00", "3.00", "4.00", "5.00"))
  ELEMENT: point(position(In_TA*In_RH), color.interior(Space_conditioning))
END GPL.


*Figure 6.19.
DATASET ACTIVATE DataSet1.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Feeling_preference_rec_4grps 
    Summer_thermal_sensation_livingroom_Q22_rec Type_of_cooling_system_4grps MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: Feeling_preference_rec_4grps=col(source(s), name("Feeling_preference_rec_4grps"), 
    unit.category())
  DATA: Summer_thermal_sensation_livingroom_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_livingroom_Q22_rec"))
  DATA: Type_of_cooling_system_4grps=col(source(s), name("Type_of_cooling_system_4grps"), 
    unit.category())
  GUIDE: axis(dim(1), label("Thermal preference (recoded) (4 groups)"))
  GUIDE: axis(dim(2), label("Thermal sensation in livingroom (recoded)"))
  GUIDE: legend(aesthetic(aesthetic.color.interior), label("Type of cooling system (4 groups)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in livingroom (recoded) by Thermal ",
    "preference (recoded) (4 groups) by Type of cooling system (4 groups)"))
  SCALE: cat(dim(1), include("0.00", "1.00", "2.00", "3.00"))
  SCALE: linear(dim(2), include(0))
  SCALE: cat(aesthetic(aesthetic.color.interior), include("0.00", "1.00", "2.00", "3.00"))
  ELEMENT: point(position(Feeling_preference_rec_4grps*Summer_thermal_sensation_livingroom_Q22_rec),
     color.interior(Type_of_cooling_system_4grps))
END GPL.




*Figure 7.6.
EXAMINE VARIABLES=Time_of_day BY In_Temperature
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.7a.
CROSSTABS
  /TABLES=E2015_WINTER_OVERALL_4grps by Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 7.7b.
CROSSTABS
  /TABLES=E2015_SUMMER_OVERALL_6grps by Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Table 7.2.
FREQUENCIES VARIABLES=E2015_WINTER_OVERALL_4grps  E2015_SUMMER_OVERALL_6grps  E2016_WINTER_OVERALL_4grps 2016_SUMMER_OVERALL_5grps 
    E2015_SUMMER_AUGUST_4grps E2016_SUMMER_AUGUST_4grps E
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

*Figure 7.8.
EXAMINE VARIABLES=Metabolic_activity_7grps
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.9.
CROSSTABS
  /TABLES=Gender_Q1.1 by Metabolic_activity_7grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Figure 7.10.
EXAMINE VARIABLES=Clothing_insulation_4grps
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.11.
CROSSTABS
  /TABLES=Gender_Q1.1 by Clothing_insulation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

*Table 7.4.(become two pie charts).
FREQUENCIES VARIABLES=Clothing_insulation_4grps Metabolic_activity_7grps
  /ORDER=ANALYSIS.

*Figure 7.14.
EXAMINE VARIABLES=Time_of_day BY Out_Heat_Index
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.16a.
EXAMINE VARIABLES=In_TA BY Orientation_4grps
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Table 7.6.
SORT CASES  BY Orientation.
SPLIT FILE LAYERED BY Orientation.

FREQUENCIES VARIABLES=In_TA
  /NTILES=4
  /ORDER=ANALYSIS.

SPLIT FILE OFF.

*Figure 7.16b.
EXAMINE VARIABLES=In_TA BY Floor_4grps
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Table 7.7.
SORT CASES  BY Floor_4grps.
SPLIT FILE LAYERED BY Floor_4grps.

FREQUENCIES VARIABLES=In_TA
  /NTILES=4
  /ORDER=ANALYSIS.

SPLIT FILE OFF.

*Figure 7.17a.
EXAMINE VARIABLES=Time_of_day by Out_TA
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.17b.
EXAMINE VARIABLES=Time_of_day by In_TA
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 8.2a.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
    E2016_SUMMER_OVERALL_5grps BY Orientation_4grps
  /MISSING=LISTWISE.

*Figure 8.2b.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
    E2016_SUMMER_OVERALL_5grps BY Household_density_4grps
  /MISSING=LISTWISE.

*Figure 8.2c.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
  E2016_SUMMER_OVERALL_5grps   BY Energy_advise_Q7 
  /MISSING=LISTWISE.

*Figure 8.2d.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
    E2016_SUMMER_OVERALL_5grps BY Awareness_in_energy_saving_Q6_rec
  /MISSING=LISTWISE.

*Figure 8.2e.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
    E2016_SUMMER_OVERALL_5grps BY Income_4grps
  /MISSING=LISTWISE.

*Figure 8.2f.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
    E2016_SUMMER_OVERALL_5grps BY Residency_3grps
  /MISSING=LISTWISE.

*Figure 8.2g.
* Chart Builder.
GRAPH
  /SCATTERPLOT(XYZ)=E2015_SUMMER_OVERALL_5grps WITH E2015_WINTER_OVERALL_4grps WITH 
   E2016_SUMMER_OVERALL_5grps BY Tenure_type_Q3
  /MISSING=LISTWISE.




